package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 积分变动类型枚举
 * @Author 纪寒
 * @Date 2023-02-27 14:22:22
 * @Version 1.0
 */
@Getter
public enum IntegralChangeType {
    /**
     * 商品兑换
     */
    COMMODITY_EXCHANGE("COMMODITY_EXCHANGE"),

    /**
     * 好友邀请
     */
    FRIEND_INVITATION("FRIEND_INVITATION"),

    /**
     * 观看视频
     */
    WATCH_VIDEO("WATCH_VIDEO"),

    /**
     * 会员签到
     */
    SIGN_IN("SIGN_IN"),
    ;

    final private String info;

    IntegralChangeType(String info) {
        this.info = info;
    }
}
